#pragma once

#include "CoreMinimal.h"
#include "CommentatorActorInterface.h"
#include "GameFramework/Actor.h"
#include "GameplayTagContainer.h"
#include "Anniversary2024TryksBase.generated.h"

class UAkComponent;

UCLASS(Blueprintable, Abstract)
class ANNIVERSARY2024_API AAnniversary2024TryksBase : public AActor, public ICommentatorActorInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export, meta=(AllowPrivateAccess=true))
	UAkComponent* _akComponent;

public:
	UFUNCTION(BlueprintCallable)
	bool ShowTryks();

	UFUNCTION(BlueprintCallable)
	bool SetNextTryksAudioFromGameEvent(FGameplayTag eventTag);

	UFUNCTION(BlueprintPure)
	bool IsTryksAudioSet() const;

	UFUNCTION(BlueprintCallable)
	bool HideTryks();

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_TryksShown();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_TryksInitialized();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_TryksHidden();

public:
	AAnniversary2024TryksBase();
};

FORCEINLINE uint32 GetTypeHash(const AAnniversary2024TryksBase) { return 0; }
